API ReferenceEndpointsAnalytics
Query events with optional property filters
AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/analytics/events" \ -H "Content-Type: application/json" \ -d '{ "end": "2026-09-13T12:30:45Z", "events": [ { "event_name": "checkout_completed", "properties": [ { "key": "plan", "value": "pro" } ] } ], "limit": 100, "offset": 0, "start": "2026-08-14T00:00:00Z" }'{ "events": [ { "created_at": "2026-09-13T12:30:45Z", "organization_uuid": "0b7e2b1a-0a1b-4c2d-8e3f-4a5b6c7d8e9f", "parent_name": "checkout_completed", "project_uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f", "properties": { "order_id": "ord_456", "total": "99.99" }, "type": "track", "user_uuid": "00000000-0000-0000-8b20-15635fadf462", "uuid": "00000000-0000-0000-3c9e-5b7a1d24f086" } ]}